Last Comment Bug 633552 - Enable AffirmTrust root certificates for EV in PSM
: Enable AffirmTrust root certificates for EV in PSM
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Security: PSM (show other bugs)
: unspecified
: All All
: -- enhancement (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
:
Mentors:
Depends on: 633546 642144
Blocks: 543639
  Show dependency treegraph
 
Reported: 2011-02-11 10:10 PST by Kathleen Wilson
Modified: 2011-05-05 14:04 PDT (History)
2 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Kathleen Wilson 2011-02-11 10:10:21 PST
Per bug #543639 the request from AffirmTrust has been approved to enable its 4 root certificates for EV use. Please make the corresponding changes to PSM.

The relevant information is as follows.

Friendly name: AffirmTrust Commercial
SHA1 Fingerprint: F9:B5:B6:32:45:5F:9C:BE:EC:57:5F:80:DC:E9:6E:2C:C7:B2:78:B7
EV policy OID:1.3.6.1.4.1.34697.2.1 
Test URL: https://commercial.affirmtrust.com/ 

Friendly name: AffirmTrust Networking
SHA1 Fingerprint: 29:36:21:02:8B:20:ED:02:F5:66:C5:32:D1:D6:ED:90:9F:45:00:2F
EV policy OID: 1.3.6.1.4.1.34697.2.2 
Test URL: https://networking.affirmtrust.com:4431/ 

Friendly name: AffirmTrust Premium
SHA1 Fingerprint: D8:A6:33:2C:E0:03:6F:B1:85:F6:63:4F:7D:6A:06:65:26:32:28:27
EV policy OID: 1.3.6.1.4.1.34697.2.3 
Test URL: https://premium.affirmtrust.com:4432/ 

Friendly name: AffirmTrust Premium ECC
SHA1 Fingerprint: B8:23:6B:00:2F:1D:16:86:53:01:55:6C:11:A4:37:CA:EB:FF:C3:BB
EV policy OID: 1.3.6.1.4.1.34697.2.4 
Test URL: https://premiumecc.affirmtrust.com:4433/
Comment 1 Kathleen Wilson 2011-02-11 10:12:05 PST
Kirk, Please confirm that the above information is correct.

Also, please perform the testing described on the following wiki page, and post
a comment in this bug when the testing has been successfully completed.

https://wiki.mozilla.org/PSM:EV_Testing_Easy_Version
Comment 2 Kirk Hall 2011-02-11 16:56:04 PST
Thanks Kathleen.

The above information is correct, and we already performed the testing described on the above wiki page and received a successful result for each root.
Comment 3 Kai Engert (:kaie) 2011-03-17 07:59:59 PDT
A test version of Firefox is available at http://ftp.mozilla.org/pub/mozilla.org/firefox/tryserver-builds/kaie@kuix.de-6873b2ef1dfb/

Please download soon.

(This will go away after 3 days. Once it's gone, it will be available here
http://ftp.mozilla.org/pub/mozilla.org/firefox/tryserver-builds/old/kaie@kuix.de-6873b2ef1dfb/
for another 10 days, after which it will be deleted automatically.)

Please note this build is based on a nightly development/test version of Firefox. It might be unstable and have bugs. Please be careful. It's best to use a "fresh, empty profile", for your testing. (Search the web how to use separate profiles, start the profile manager, with Firefox). This is also recommended to make sure you're not testing your own certificate database, but really this software with the embedded certs.

This test build contains your new roots, and if you have requested to, it also has the roots enabled for EV.
Please make sure you add a confirmation comment in BOTH separate bugs (one for adding the root, one for enabling for EV, if applicable).

Please note, adding your roots, and enabling roots for EV might happen in separate releases, although we try to do it all in the same release.
Comment 4 Kai Engert (:kaie) 2011-03-17 08:02:22 PDT
TODO, in this bug, please confirm that your root has been correctly enabled for EV.
Comment 5 Kirk Hall 2011-03-17 10:30:15 PDT
This is to confirm that all four of our roots have been correctly enabled for EV.  Thank you for your help.  We also confirmed the four roots in Bug 633546.

Kirk Hall, AffirmTrust
Comment 6 Kai Engert (:kaie) 2011-05-05 14:04:24 PDT
fixed in bug 642144

Note You need to log in before you can comment on or make changes to this bug.